;################################################################################
;#										#
;# main definitions for library use						#
;# copyright (c) 2007-2010 Joerg Wolfram (joerg@jcwolfram.de)			#
;#										#
;#										#
;# This program is free software; you can redistribute it and/or		#
;# modify it under the terms of the GNU General Public License as 		#
;# published by the Free Software Foundation; either version 3 of		#
;# the License, or (at your option) any later version.				#
;#										#
;# This library is distributed in the hope that it will be useful,		#
;# but WITHOUT ANY WARRANTY; without even the implied warranty of		#
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the GNU		#
;# Lesser General Public License for more details.				#
;#										#
;# You should have received a copy of the GNU Lesser General Public		#
;# License along with this library; if not, write to the			#
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,			#
;# Boston, MA 02111-1307, USA.							#
;#										#
;################################################################################

.def		const_0 = r2
.def		const_1 = r3

.def		vline_l = r8
.def		vline_h = r9
.def		libmio_cur_x = r10
.def		libmio_cur_y = r11


.def		acc1l = r16
.def		acc1h = r17
.def		acc2l = r18
.def		acc2h = r19

.def		tempreg1 = r20
.def		tempreg2 = r21
.def		tempreg3 = r22
.def		tempreg4 = r23
.def		tempreg5 = r4
.def		tempreg6 = r5
.def		tempreg7 = r6
.def		tempreg8 = r7

.def		ereg = r24
.def		ctrl = r25

.equ		drv_inex	= 0x720e
.equ		drv_outex	= 0x720f
.equ		drv_startup	= 0x7210
.equ		drv_init	= 0x7211
.equ		drv_clear	= 0x7212
.equ		drv_char	= 0x7213
.equ		drv_gotoxy	= 0x7214
.equ		drv_plot	= 0x7215
.equ		drv_newline	= 0x7216
.equ		drv_vidout	= 0x7217
.equ		drv_xmem_aread	= 0x7218
.equ		drv_xmem_awrite	= 0x7219
.equ		drv_xmem_bread	= 0x721a
.equ		drv_xmem_bwrite	= 0x721b
.equ		drv_xmem_wread	= 0x721c
.equ		drv_xmem_wwrite	= 0x721d
.equ		drv_xmem_check	= 0x721e
.equ		drv_xmem_clear	= 0x721e




